Bug 1340940 - Include v1.10-migrator-helper script in the docker-v1.10-migrator RPM
Summary: Include v1.10-migrator-helper script in the docker-v1.10-migrator RPM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-30 19:21 UTC by Jonathan Lebon
Modified: 2016-09-11 03:51 UTC (History)
13 users (show)

Fixed In Version: docker-1.10.3-16.gitf476348.fc24 docker-1.10.3-43.gita612434.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1341328 (view as bug list)
Environment:
Last Closed: 2016-09-11 03:51:35 UTC
Type: Bug


Attachments (Terms of Use)
/usr/bin/v1.10-migrator-helper (1.83 KB, text/plain)
2016-05-30 19:21 UTC, Jonathan Lebon
no flags Details

Description Jonathan Lebon 2016-05-30 19:21:58 UTC
Created attachment 1162963 [details]
/usr/bin/v1.10-migrator-helper

Please include this v1.10-migrator-helper script in the docker-v1.10-migrator RPM, to be installed at /usr/bin.

The v1.10 migrator allows users to reduce downtime when going from v1.9 to v1.10. For more details see:

https://docs.docker.com/engine/migration/

However, the migrator utility by default requires storage options to be passed for it to be able to find the docker storage. These are the exact same docker options located in /etc/sysconfig/docker-storage.

Additionally, e.g. on Fedora Atomic Host, a sysadmin would have to run the migrator from a privileged container with a /host mount, *before* rebooting into the v1.10 tree.

The attached helper script makes it easier to migrate the docker graph by (1) automatically appending storage opts to the migrator invocation, and (2) automatically chrooting to /host if running from a container.

Comment 1 Daniel Walsh 2016-06-03 18:21:16 UTC
Lokesh I think this is done correct?

Comment 2 Antonio Murdaca 2016-06-03 21:10:56 UTC
Nope, I'm doing it for the next 1.10.3 in fedora

Comment 3 Fedora Update System 2016-06-06 14:46:08 UTC
docker-1.10.3-16.gitf476348.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 4 Fedora Update System 2016-06-06 17:56:57 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 5 Fedora Admin XMLRPC Client 2016-06-08 14:09:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Update System 2016-06-10 07:42:04 UTC
docker-1.10.3-31.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 7 Fedora Update System 2016-06-11 03:54:31 UTC
docker-1.10.3-31.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 8 Fedora Update System 2016-06-18 18:40:52 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-06-20 21:49:27 UTC
docker-1.10.3-33.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 10 Fedora Update System 2016-06-22 02:55:00 UTC
docker-1.10.3-33.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 11 Fedora Update System 2016-06-24 18:10:48 UTC
docker-1.10.3-34.git19b5791.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 12 Fedora Update System 2016-06-26 06:21:53 UTC
docker-1.10.3-34.git19b5791.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 13 Fedora Update System 2016-07-01 19:59:05 UTC
docker-1.10.3-35.git3b3d748.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 14 Fedora Update System 2016-07-02 20:53:46 UTC
docker-1.10.3-35.git3b3d748.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 15 Fedora Update System 2016-07-06 14:52:34 UTC
docker-1.10.3-36.git971d3bf.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 16 Fedora Update System 2016-07-10 03:54:24 UTC
docker-1.10.3-36.git971d3bf.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 17 Fedora Update System 2016-07-12 20:16:46 UTC
docker-1.10.3-37.git29066b4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 18 Fedora Update System 2016-07-14 01:24:02 UTC
docker-1.10.3-37.git29066b4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 19 Fedora Update System 2016-07-20 21:32:07 UTC
docker-1.10.3-38.gitcba0656.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bf2cb1e9b

Comment 20 Fedora Update System 2016-07-21 15:25:51 UTC
docker-1.10.3-39.git1ecb834.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 21 Fedora Update System 2016-07-21 18:47:56 UTC
docker-1.10.3-39.git1ecb834.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 22 Fedora Update System 2016-08-22 15:09:41 UTC
docker-1.10.3-40.git128f146.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 23 Fedora Update System 2016-08-23 16:20:31 UTC
docker-1.10.3-40.git128f146.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 24 Fedora Update System 2016-08-24 10:58:35 UTC
docker-1.10.3-41.git78aa320.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 25 Fedora Update System 2016-08-25 10:28:30 UTC
docker-1.10.3-41.git78aa320.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 26 Fedora Update System 2016-08-29 09:26:23 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 27 Fedora Update System 2016-08-29 22:52:46 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 28 Fedora Update System 2016-09-02 09:00:32 UTC
docker-1.10.3-43.gita612434.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 29 Fedora Update System 2016-09-03 03:52:42 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 30 Fedora Update System 2016-09-11 03:51:05 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.